{% extends "./plantilla.html" %}
{% load static %}

{% block contenido %}
<div class="container">
    <div class="row justify-content-center mt-5">
        <div class="col-xl-6 col-lg-8 col-md-10">
            <div class="card shadow">
                <div class="card-body">
                    <h1 class="card-title text-center mb-4"><strong>Editar Jugador</strong></h1>
                    <form action="/procesarActualizacionJugador/" method="post" enctype="multipart/form-data" id="frm_nuevo_jugador">
                        {% csrf_token %}
                        <input type="hidden" name="id_jug" id="id_jug" value="{{ jugador.id_jug }}">

                        <div class="form-group">
                            <label for="apellido_jug"><b>APELLIDO:</b></label>
                            <input type="text" name="apellido_jug" id="apellido_jug" value="{{ jugador.apellido_jug }}" placeholder="Ingrese el apellido del jugador" class="form-control" required>
                        </div>

                        <div class="form-group">
                            <label for="nombre_jug"><b>NOMBRE:</b></label>
                            <input type="text" name="nombre_jug" id="nombre_jug" value="{{ jugador.nombre_jug }}" placeholder="Ingrese el nombre del jugador" class="form-control" required>
                        </div>

                        <div class="form-group">
                            <label for="estatura_jug"><b>ESTATURA:</b></label>
                            <input type="number" step="0.01" name="estatura_jug" id="estatura_jug" value="{% if jugador.estatura_jug %}{{ jugador.estatura_jug|stringformat:'0.2f' }}{% endif %}" placeholder="Ingrese la estatura del jugador" class="form-control" required>
                        </div>

                        <div class="form-group">
                            <label for="salario_jug"><b>SALARIO:</b></label>
                            <input type="number" step="0.01" name="salario_jug" id="salario_jug" value="{% if jugador.salario_jug %}{{ jugador.salario_jug|stringformat:'0.2f' }}{% endif %}" placeholder="Ingrese el salario del jugador" class="form-control" required>
                        </div>

                        <div class="form-group">
                            <label for="estado_jug"><b>ESTADO:</b></label>
                            <input type="text" name="estado_jug" id="estado_jug" value="{{ jugador.estado_jug }}" placeholder="Ingrese el estado del jugador" class="form-control" required>
                        </div>

                        <div class="form-group">
                            <label for="fk_id_pos" style="width: 100%"><b>POSICIÓN:</b></label>
                            <select name="fk_id_pos" id="fk_id_pos" class="form-control" required>
                                {% for posicion in posiciones %}
                                    <option value="{{ posicion.id_pos }}" {% if posicion.id_pos == jugador.fk_id_pos_id %} selected {% endif %}>{{ posicion.nombre_pos }}</option>
                                {% endfor %}
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="fk_id_equi" style="width: 100%"><b>EQUIPO:</b></label>
                            <select name="fk_id_equi" id="fk_id_equi" class="form-control" required>
                                {% for equipo in equipos %}
                                    <option value="{{ equipo.id_equi }}" {% if equipo.id_equi == jugador.fk_id_equi_id %} selected {% endif %}>{{ equipo.nombre_equi }}</option>
                                {% endfor %}
                            </select>
                        </div>

                        <div class="text-center mt-4">
                            <button type="submit" class="btn btn-primary">Actualizar</button>
                            <a href="/" class="btn btn-danger ml-2">Cancelar</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
